@echo off
:start
cls
echo.
echo Please select a transfer case setting:
echo.
echo (1) 4WD high range
echo (2) 4WD low range
echo.
echo Please select a rear differential setting:
echo.
echo (3) open
echo (4) locked
echo.
echo (x) exit
echo.
set /p choice=Your choice is:
rem CLS
rem if not '%choice%'== set choice=%choice:~0,1%
if '%choice%'=='1' goto high
if '%choice%'=='2' goto low
if '%choice%'=='3' goto open
if '%choice%'=='4' goto locked
if '%choice%'=='x' goto end
echo.
echo "%choice%" is not valid please try again
pause
cls
goto start
:high
rem echo You have chosen %choice%
pause
..\..\..\..\ini ..\car.ini differentials.diff0.ratio "4.9152"
..\..\..\..\ini ..\car.ini differentials.diff0.inertia "0.1"
..\..\..\..\ini ..\car.ini wheel_front.power_gearing "2.4575"
goto start
:low
rem echo You have chosen %choice%
pause
..\..\..\..\ini ..\car.ini differentials.diff0.ratio "13.369344"
..\..\..\..\ini ..\car.ini differentials.diff0.inertia "0.15"
..\..\..\..\ini ..\car.ini wheel_front.power_gearing "6.6845"
goto start
:open
rem echo You have chosen %choice%
pause
..\..\..\..\ini ..\car.ini differentials.diff0.type "0"
goto start
:locked
rem echo You have chosen %choice%
pause
..\..\..\..\ini ..\car.ini differentials.diff0.type "4"
goto start
:end
exit